*** THIS DO-FILE REPRODUCES TABLES 2-9 ***

*** USE THE DATA IN "Dataset_Hiringexperiment.dta"

*** GENERATING VARIABLES ***

gen arbetsloshet=0															/* ever unemployed */
replace arbetsloshet=1 if scarce==1
replace arbetsloshet=1 if parbetslos==1
replace arbetsloshet=1 if nuarblos==1 | nuarblos==2 | nuarblos==3
gen arbetsloshetnu=0														/* contemporary unemployed */
replace arbetsloshetnu=1 if nuarblos==1 | nuarblos==2 | nuarblos==3
gen arbetsloshetforr=0														/* unemployed in the past */
replace arbetsloshetforr=1 if scarce==1 | parbetslos==1
gen duration=12*scarce+12*parbetslos+3*nuarblos								/* duration of all unemployment */
gen duration2=duration/12

gen arblosnu_0=0															/* 0 months of contemporary unemployment */
replace arblosnu_0=1 if nuarblos==0
gen arblosnu_3=0															/* 3 months of contemporary unemployment */
replace arblosnu_3=1 if nuarblos==1
gen arblosnu_6=0															/* 6 months of contemporary unemployment */
replace arblosnu_6=1 if nuarblos==2
gen arblosnu_9=0															/* 9 months of contemporary unemployment */										
replace arblosnu_9=1 if nuarblos==3

gen erfar1=0																/* 1 year of work experience */
replace erfar1=1 if erfar==1
gen erfar2=0																/* 2 years of work experience */
replace erfar2=1 if erfar==2
gen erfar3_5=0																/* 3-5 years of work experience */
replace erfar3_5=1 if erfar==3 | erfar==4 | erfar==5

*** TABLE 2 ***

corr nuarblos scarce parbetslos erfar antlarbetsg							/* correlation matrix employment history variables */

corr parbetslos erfar if antlarbetsg==0										/* correlation matrix past unemployment between jobs and work experience */
corr parbetslos erfar if antlarbetsg==1

corr nuarblos scarce parbetslos erfar antlarbetsg min kvinna doverutb sommarjobb utlgym komp varme cult ///
fotboll basket lopning simning golf dsthlm dgbg dlandet ddata dmano dsvso dgym dred dsjuk ///
dbutik dftg drest dlokal dmaskin dbygg dfordon								/* correlation matrix all exerimental variables (not in article) */

*** TABLE 3 ***

count
count if dhighskill==1
count if ddata==1
count if dred==1
count if dsjuk==1
count if dsvso==1 | dmano==1
count if dgym==1
count if dhighskill==0
count if dftg==1
count if dbutik==1
count if dmaskin==1
count if dbygg==1
count if dfordon==1
count if dlokal==1
count if drest==1
count if dsthlm==1
count if dgbg==1
count if dlandet==1

*** TABLE 4 ***

tab arbetsloshet if dhighskill==1
tab arbetsloshet if dhighskill==0

tab nuarblos if dhighskill==1
tab nuarblos if dhighskill==0

tab scarce if dhighskill==1
tab scarce if dhighskill==0

tab parbetslos if dhighskill==1
tab parbetslos if dhighskill==0

tab erfar if dhighskill==1
tab erfar if dhighskill==0

tab antlarbetsg if dhighskill==1
tab antlarbetsg if dhighskill==0

*** TABLE 5 ***

mean callback
mean callback if dhighskill==1
mean callback if dhighskill==0

mean callback if arbetsloshet==0
mean callback if arbetsloshet==0 & dhighskill==1
mean callback if arbetsloshet==0 & dhighskill==0

mean callback if arbetsloshet==1
mean callback if arbetsloshet==1 & dhighskill==1
mean callback if arbetsloshet==1 & dhighskill==0

mean callback if nuarblos==0
mean callback if nuarblos==0 & dhighskill==1
mean callback if nuarblos==0 & dhighskill==0

mean callback if nuarblos==1
mean callback if nuarblos==1 & dhighskill==1
mean callback if nuarblos==1 & dhighskill==0

mean callback if nuarblos==2
mean callback if nuarblos==2 & dhighskill==1
mean callback if nuarblos==2 & dhighskill==0

mean callback if nuarblos==3
mean callback if nuarblos==3 & dhighskill==1
mean callback if nuarblos==3 & dhighskill==0

mean callback if scarce==0
mean callback if scarce==0 & dhighskill==1
mean callback if scarce==0 & dhighskill==0

mean callback if scarce==1
mean callback if scarce==1 & dhighskill==1
mean callback if scarce==1 & dhighskill==0

mean callback if parbetslos==0
mean callback if parbetslos==0 & dhighskill==1
mean callback if parbetslos==0 & dhighskill==0

mean callback if parbetslos==1
mean callback if parbetslos==1 & dhighskill==1
mean callback if parbetslos==1 & dhighskill==0

mean callback if erfar==1
mean callback if erfar==1 & dhighskill==1
mean callback if erfar==1 & dhighskill==0

mean callback if erfar==2
mean callback if erfar==2 & dhighskill==1
mean callback if erfar==2 & dhighskill==0

mean callback if erfar==3
mean callback if erfar==3 & dhighskill==1
mean callback if erfar==3 & dhighskill==0

mean callback if erfar==4
mean callback if erfar==4 & dhighskill==1
mean callback if erfar==4 & dhighskill==0

mean callback if erfar==5
mean callback if erfar==5 & dhighskill==1
mean callback if erfar==5 & dhighskill==0

mean callback if antlarbetsg==0
mean callback if antlarbetsg==0 & dhighskill==1
mean callback if antlarbetsg==0 & dhighskill==0

mean callback if antlarbetsg==1
mean callback if antlarbetsg==1 & dhighskill==1
mean callback if antlarbetsg==1 & dhighskill==0

*** TABLE 6 ***

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==0, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==1, cluster (id)

*** TABLE 7 ***

* Panel A

dprobit callback arbetsloshet erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
, cluster (id)

dprobit callback arbetsloshet erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==0, cluster (id)

dprobit callback arbetsloshet erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==1, cluster (id)

* Panel B

dprobit callback arbetsloshetnu erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
, cluster (id)

dprobit callback arbetsloshetnu erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==0, cluster (id)

dprobit callback arbetsloshetnu erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==1, cluster (id)

* Panel C

dprobit callback arbetsloshetforr erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
, cluster (id)

dprobit callback arbetsloshetforr erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==0, cluster (id)

dprobit callback arbetsloshetforr erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==1, cluster (id)

* Panel D

dprobit callback duration2 erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
, cluster (id)

dprobit callback duration2 erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==0, cluster (id)

dprobit callback duration2 erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==1, cluster (id)

*** TABLE 8 ***

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if kvinna==0, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if kvinna==1, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if min==0, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if min==1, cluster (id)

*** TABLE 9 ***

* Panel A

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==0, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==1, cluster (id)

* Panel B

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar2 erfar3_5 antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar2 erfar3_5 antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==0, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar2 erfar3_5 antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==1, cluster (id)
