*** THIS DO-FILE REPRODUCES TABLES E1, E2 AND F1 IN ONLINE APPENDIX E AND F ***

*** USE THE DATA IN "Dataset_Hiringexperiment.dta" ***

*** GENERATING VARIABLES ***

gen arbetsloshet=0
replace arbetsloshet=1 if scarce==1
replace arbetsloshet=1 if parbetslos==1
replace arbetsloshet=1 if nuarblos==1 | nuarblos==2 | nuarblos==3
gen arbetsloshetnu=0
replace arbetsloshetnu=1 if nuarblos==1 | nuarblos==2 | nuarblos==3
gen arbetsloshetforr=0
replace arbetsloshetforr=1 if scarce==1 | parbetslos==1
gen duration=12*scarce+12*parbetslos+3*nuarblos
gen duration2=duration/12

gen arblosnu_0=0
replace arblosnu_0=1 if nuarblos==0
gen arblosnu_3=0
replace arblosnu_3=1 if nuarblos==1
gen arblosnu_6=0
replace arblosnu_6=1 if nuarblos==2
gen arblosnu_9=0
replace arblosnu_9=1 if nuarblos==3

gen erfar1=0
replace erfar1=1 if erfar==1
gen erfar2=0
replace erfar2=1 if erfar==2
gen erfar3_5=0
replace erfar3_5=1 if erfar==3 | erfar==4 | erfar==5

*** TABLE E1 ONLINE APPENDIX E EXCLUDING OCCUPATIONS MEDIUM/LOW SKILL JOBS ***

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==0 & dftg==0, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==0 & dbutik==0, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==0 & dmaskin==0, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==0 & dbygg==0, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==0 & dfordon==0, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==0 & dlokal==0, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==0 & drest==0, cluster (id)

*** Table E2 ONLINE APPENDIX E EXCLUDING OCCUPATIONS HIGH SKILL JOBS ***

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==1 & ddata==0, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==1 & dsjuk==0, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==1 & dmano==0 & dsvso==0, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==1 & dgym==0, cluster (id)

dprobit callback arblosnu_3 arblosnu_6 arblosnu_9 scarce parbetslos erfar antlarbetsg min kvinna ///
doverutb sommarjobb utlgymn komp varme cult fotboll basket lopning simning golf tennis dgbg dlandet ddata dmano dsvso dgym dred dsjuk /// 
dbutik dftg drest dlokal dmaskin dbygg dfordon ///
if dhighskill==1 & dred==0, cluster (id)

*** TABLE F1 ONLINE APPENDIX F ADDITIONAL RESULTS***

summarize  erfar
summarize  erfar if nuarblos==0
summarize  erfar if nuarblos==1
summarize  erfar if nuarblos==2
summarize  erfar if nuarblos==3
summarize  erfar if arbetsloshetforr==0
summarize  erfar if arbetsloshetforr==1

summarize svman
summarize svman if nuarblos==0
summarize svman if nuarblos==1
summarize svman if nuarblos==2
summarize svman if nuarblos==3
summarize svman if arbetsloshetforr==0
summarize svman if arbetsloshetforr==1

summarize kvinna
summarize kvinna if nuarblos==0
summarize kvinna if nuarblos==1
summarize kvinna if nuarblos==2
summarize kvinna if nuarblos==3
summarize kvinna if arbetsloshetforr==0
summarize kvinna if arbetsloshetforr==1

summarize min
summarize min if nuarblos==0
summarize min if nuarblos==1
summarize min if nuarblos==2
summarize min if nuarblos==3
summarize min if arbetsloshetforr==0
summarize min if arbetsloshetforr==1

summarize dhighskill
summarize dhighskill if nuarblos==0
summarize dhighskill if nuarblos==1
summarize dhighskill if nuarblos==2
summarize dhighskill if nuarblos==3
summarize dhighskill if arbetsloshetforr==0
summarize dhighskill if arbetsloshetforr==1

summarize dsthlm
summarize dsthlm if nuarblos==0
summarize dsthlm if nuarblos==1
summarize dsthlm if nuarblos==2
summarize dsthlm if nuarblos==3
summarize dsthlm if arbetsloshetforr==0
summarize dsthlm if arbetsloshetforr==1

summarize dgbg
summarize dgbg if nuarblos==0
summarize dgbg if nuarblos==1
summarize dgbg if nuarblos==2
summarize dgbg if nuarblos==3
summarize dgbg if arbetsloshetforr==0
summarize dgbg if arbetsloshetforr==1

summarize dlandet
summarize dlandet if nuarblos==0
summarize dlandet if nuarblos==1
summarize dlandet if nuarblos==2
summarize dlandet if nuarblos==3
summarize dlandet if arbetsloshetforr==0
summarize dlandet if arbetsloshetforr==1
